plugin_can_chain< Plugin > Struct Template Reference

`#include <mia/core/plugin_base.hh>`

Inheritance diagram for plugin_can_chain< Plugin >:
[legend]

## Public Types

typedef void | Chained

## Static Public Attributes

static constexpr bool | value = false

## Detailed Description

template<typename Plugin>
struct plugin_can_chain< Plugin >

Some plug-ins can be chained directly at creation time. To make the factory aware of this interface, this trait is used.

Definition at line 210 of file plugin_base.hh.

## Member Typedef Documentation

## Chained

template<typename Plugin>

typedef void plugin_can_chain< Plugin >::Chained

Definition at line 212 of file plugin_base.hh.

## Field Documentation

## value

template<typename Plugin>

bool plugin_can_chain< Plugin >::value = false

static constexpr

Definition at line 211 of file plugin_base.hh.

The documentation for this struct was generated from the following file:

- plugin_base.hh